
Redmine - Defect #22932

"Group by" row from issues listing has the colspan attribute bigger with one than the number of

columns from the table 

2016-05-31 01:26 - Marius BĂLTEANU

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 3.2.3   

Resolution: Fixed Affected version: 3.2.2

Description

Steps to reproduce:

1. Open the issues tabs

2. Group results by an attribute (tracker for example)

3. Observe that the colspan attribute of the "Group by" row (tr.group) is bigger with one than the number of columns of issue rows

(tr.issue).

4. Because of that, the right border is missing for issue rows and table header

 missing_border.png 

After applying the attached patch (fix_colspan_attribute.patch):

 with_border.png 

Associated revisions

Revision 15452 - 2016-06-05 09:06 - Jean-Philippe Lang

Fixed colspan value (#22932).

Patch by Marius BALTEANU.

Revision 15453 - 2016-06-05 09:07 - Jean-Philippe Lang

Merged r15452 (#22932).

Revision 15454 - 2016-06-05 09:07 - Jean-Philippe Lang

Merged r15452 (#22932).

History

#1 - 2016-05-31 11:36 - Marius BĂLTEANU

- File fix_colspan_attribute_v2.patch added

Sorry, previous patch version contains an error. Attached the correct one (_v2).

#2 - 2016-06-05 03:44 - Go MAEDA

- Target version set to 3.2.3

Confirmed the problem in Safari and Chrome. No problem in Edge and Firefox.

#3 - 2016-06-05 09:08 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Committed, thanks for this fix.
